package com.sys.dao;

import com.sys.model.Oauth2Client;

public interface Oauth2ClientMapper {
    int deleteByPrimaryKey(Long id);

    int insert(Oauth2Client record);

    int insertSelective(Oauth2Client record);

    Oauth2Client selectByPrimaryKey(Long id);

    Oauth2Client selectByClientId(String clientId);
    
    Oauth2Client selectByClientSecret(String clientSecret);
    
    int updateByPrimaryKeySelective(Oauth2Client record);

    int updateByPrimaryKey(Oauth2Client record);
}